import { VNode } from 'vue';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    id: {
        type: (NumberConstructor | StringConstructor)[];
        require: boolean;
    };
    name: import("vue-types").VueTypeDef<string | number>;
    disabled: import("vue-types").VueTypeDef<boolean | {
        disabled: (object | (boolean | (() => boolean))) & boolean;
        tips: string;
    }> & {
        default: boolean | (() => {
            disabled: (object | (boolean | (() => boolean))) & boolean;
            tips: string;
        });
    };
    order: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    skipRegister: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
}>, {
    selected: import("vue").ComputedRef<boolean>;
    multiple: import("vue").ComputedRef<boolean>;
    isHover: import("vue").ComputedRef<boolean>;
    showSelectedIcon: import("vue").ComputedRef<boolean>;
    selectedStyle: import("vue").ComputedRef<"checkbox" | "check">;
    optionName: import("vue").ComputedRef<string | number>;
    optionID: import("vue").ComputedRef<string | number>;
    highlightKeyword: import("vue").ComputedRef<boolean>;
    isDisabled: import("vue").ComputedRef<(object | (boolean | (() => boolean))) & boolean>;
    disabledTips: import("vue").ComputedRef<string>;
    handleOptionClick: () => void;
    handleMouseEnter: () => void;
    handleMouseLeave: () => void;
    resolveClassName: (cls: string) => string;
    transformNode: (str: string) => (VNode | string)[] | string;
    visible: import("vue").Ref<boolean, boolean>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: (NumberConstructor | StringConstructor)[];
        require: boolean;
    };
    name: import("vue-types").VueTypeDef<string | number>;
    disabled: import("vue-types").VueTypeDef<boolean | {
        disabled: (object | (boolean | (() => boolean))) & boolean;
        tips: string;
    }> & {
        default: boolean | (() => {
            disabled: (object | (boolean | (() => boolean))) & boolean;
            tips: string;
        });
    };
    order: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    skipRegister: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
}>> & Readonly<{}>, {
    disabled: boolean | {
        disabled: (object | (boolean | (() => boolean))) & boolean;
        tips: string;
    };
    order: number;
    skipRegister: boolean;
}, {}, {}, {
    bkTooltips: import("vue").ObjectDirective<any, any, string, any>;
}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
